petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscMallocGetCurrentUsage

gets the current amount of memory used that was PetscMalloc()ed

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscMallocGetCurrentUsage(PetscLogDouble *space)

Not Collective

### Output Parameters

space -number of bytes currently allocated

### See Also

PetscMallocDump(), PetscMallocLog(), PetscMallocGetMaximumUsage(), PetscMemoryGetCurrentUsage(),
PetscMemoryGetMaximumUsage()

### Level

intermediate

### Location

src/sys/memory/mtr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages